Jump to content
Not connected, Your IP: 3.231.229.89
Staff

Eddie Desktop 2.18beta released

Recommended Posts

On 10/8/2019 at 5:45 PM, X7iGmXYQBrnz said:

I'm running 2.18.4 beta on Win7.  The service to elevate privileges doesn't install, so I get a UAC prompt every time I log in (when Eddie loads).  I'm also getting a UAC prompt when I tick the "Don't ask elevation every run" checkbox, but as far as I can see no service is being installed or run.  Running "Eddie-CLI-Elevated.exe service-install" from an elevated command prompt returns no message, but also does not install a service.

Also, if I shut down or log out of Windows without manually closing Eddie, I receive the following error.  Manually closing Eddie works fine.

Other than these side issues (and once I'd changed the profile data protection to Plain), everything is fine - cheers

eddie1.gif


Issues under investigation.
I confirm that service installation works on Windows 10 but not on Windows 7, it will be fixed in the next release if possibile. Thx.

Share this post


Link to post
6 hours ago, Clodo said:
Issues under investigation.
I confirm that service installation works on Windows 10 but not on Windows 7, it will be fixed in the next release if possibile. Thx.
Cheers Clodo.

Installing the sevice manually using
 
SC CREATE "Eddie Elevation Service" binpath= "C:\Program Files\AirVPN\Eddie-Service-Elevated.exe" start= auto

in an elevated command prompt works fine and seems to get rid of the problems, so hopefully this should be a simple installer issue rather than a compatibility one.

Share this post


Link to post
Posted ... (edited)
On 10/9/2019 at 8:31 AM, Clodo said:

I think "Custom icons" and "elevated permissions version mismatch" are totally different problems.
Focus first on "version mismatch": Please confirm that you still have the error "elevated permissions version mismatch" even after a REBOOT. If so, what version you install? .dmg?  Do you launch eddie from /Applications? Thanks.

The reason I think modifying the resources bundle (by changing a menubar icon) causes the elevated permissions failure is that I only get a startup crash AFTER I’ve swapped in a modified  menubar icon. If I don’t change the icon I don’t have any problems. Also, I want to reemphasize that I did not have this problem with the previous version of Eddie. Running 2.17.2 I could change menubars and even add mulitple menubar versions to the resources bundle without any problem. That's why I think my current issue has to do with changes you made to the way permissions and/or code signing are handled.

To answer your questions, I’ve been running from a package installer version of Eddie, but the same thing happened with the portable tar.gz package. I’ve rebooted after installing and after making any changes, and I’ve tested with and without checking the elevated privileges checkbox. I've launched from /Applications. 

Here is what shows on the screen  when it fails:

Screen Shot 2019-10-10 at 9.43.23 PM.png

Edited ... by dedo299

Share this post


Link to post
Hi,

I'm on raspberry 3 with raspbian buster lite (without ui) and I'm using 2.18.4b eddie-ui -cli command line and syntax.

I run " sudo eddie-ui -cli -login=****** -password=****** -connect -netlock "

- the first time I've launched it after install, all worked pretty smooth.
- the second and next times I've launched it, it stucked after I press the "n" key on the "Server switch requested from keyboard" message.

You can see the whole verbose bellow.
By the way, the shutdown ends up with an error message, but I'm not sure it's linked to my "connection to server" issue.


. 2019.10.02 21:57:38 - Eddie version: 2.18.4beta / linux_unknown, System: Linux, Name: Raspbian GNU/Linux 10 \n \l, Version: Linux raspberrypi 4.19.75+ #1270 Tue Sep 24 18:38:54 BST 2019 armv6l GNU/Linux, Mono/.Net: 5.18.0.240 (Debian 5.18.0.240+dfsg-3 Sat Apr 20 05:16:08 UTC 2019); Framework: v4.0.30319
. 2019.10.02 21:57:38 - Command line arguments (7): path.resources="/usr/share/eddie-ui" path.exec="/usr/bin/eddie-ui" cli="True" login="******" password="******" connect="True" netlock="True"
. 2019.10.02 21:57:41 - Raise system privileges
ee:log:RWxldmF0ZWQ6IFdhaXRpbmcgZm9yIGNsaWVudA==
. 2019.10.02 21:57:43 - Elevated: __Shell, path: which
. 2019.10.02 21:57:44 - Elevated: __Shell, arg: lsof
. 2019.10.02 21:57:44 - Elevated: __Shell, exitcode: 1
. 2019.10.02 21:57:44 - Elevated: __Shell, stdout:
. 2019.10.02 21:57:44 - Elevated: __Shell, stderr:
. 2019.10.02 21:57:44 - Elevated: __Shell, path: which
. 2019.10.02 21:57:44 - Elevated: __Shell, arg: lsof
. 2019.10.02 21:57:44 - Elevated: __Shell, exitcode: 1
. 2019.10.02 21:57:44 - Elevated: __Shell, stdout:
. 2019.10.02 21:57:44 - Elevated: __Shell, stderr:
. 2019.10.02 21:57:44 - Elevated: Command:session-key
. 2019.10.02 21:57:44 - Elevated: Command:compatibility-profiles
. 2019.10.02 21:57:44 - Profile path: /usr/lib/eddie-ui/default.profile
. 2019.10.02 21:57:57 - Reading options from /usr/lib/eddie-ui/default.profile
. 2019.10.02 21:58:17 - OpenVPN Driver - Found, /dev/net/tun
. 2019.10.02 21:58:17 - OpenVPN - Version: 2.4.7 - OpenSSL 1.1.1d  10 Sep 2019, LZO 2.10 (/usr/sbin/openvpn)
. 2019.10.02 21:58:17 - SSH - Version: OpenSSH_7.9p1 Raspbian-10, OpenSSL 1.1.1d  10 Sep 2019 (/usr/bin/ssh)
. 2019.10.02 21:58:17 - SSL - Version: stunnel 5.50 (/usr/bin/stunnel4)
. 2019.10.02 21:58:17 - curl - Version: 7.64.0 (/usr/bin/curl)
. 2019.10.02 21:58:17 - Certification Authorities: /usr/share/eddie-ui/cacert.pem
! 2019.10.02 21:58:24 - Activation of Network Lock - Linux iptables
I 2019.10.02 21:58:25 - Press 'X' to Cancel, 'N' to connect/reconnect to the best available server.
I 2019.10.02 21:58:25 - Ready
I 2019.10.02 21:58:25 - Checking login ...
! 2019.10.02 21:58:27 - Logged in.
I 2019.10.02 21:58:36 - Session starting.
. 2019.10.02 21:58:37 - Collect information about providers ...
. 2019.10.02 21:58:38 - Collect information about AirVPN completed
// I press "N"
I 2019.10.02 21:59:36 - Server switch requested from keyboard.
// This is where it hangs (I've waited for more than 10 minutes)
// I press CTRL+C to exit and it goes

. 2019.10.02 22:11:08 - Received signal SIGINT
. 2019.10.02 22:11:08 - Shutdown in progress
I 2019.10.02 22:11:08 - Cancel requested.
! 2019.10.02 22:11:08 - Session terminated.
. 2019.10.02 22:11:09 - Deactivation of Network Lock
[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object.
  at Eddie.Core.Engine.OnRefreshUi (Eddie.Core.Engine+RefreshUiMode mode) [0x002c4] in <9d035fa996b546d1b70c3fbbe2ffaae9>:0
  at Eddie.Core.Engine.DeAuth () [0x00037] in <9d035fa996b546d1b70c3fbbe2ffaae9>:0
  at Eddie.Core.Engine.OnDeInit2 () [0x00020] in <9d035fa996b546d1b70c3fbbe2ffaae9>:0
  at Eddie.Core.Engine.MainStepDeInit () [0x00027] in <9d035fa996b546d1b70c3fbbe2ffaae9>:0
  at Eddie.Core.Engine.OnRun () [0x00016] in <9d035fa996b546d1b70c3fbbe2ffaae9>:0
  at Eddie.Core.Thread.DoRun () [0x00000] in <9d035fa996b546d1b70c3fbbe2ffaae9>:0
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00017] in <d0e12f672b88444ab4b6d9b2ecf20142>:0
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x0008d] in <d0e12f672b88444ab4b6d9b2ecf20142>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <d0e12f672b88444ab4b6d9b2ecf20142>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00031] in <d0e12f672b88444ab4b6d9b2ecf20142>:0
  at System.Threading.ThreadHelper.ThreadStart () [0x0000b] in <d0e12f672b88444ab4b6d9b2ecf20142>:0


 

Share this post


Link to post
On 10/10/2019 at 1:27 AM, X7iGmXYQBrnz said:
Cheers Clodo.

Installing the sevice manually using
 
SC CREATE "Eddie Elevation Service" binpath= "C:\Program Files\AirVPN\Eddie-Service-Elevated.exe" start= auto

in an elevated command prompt works fine and seems to get rid of the problems, so hopefully this should be a simple installer issue rather than a compatibility one.
Yes thx, i checked it, Eddie 2.18.4 use a syntax accepted by Win10 but not by Win7 (the space after the option-name...), it will be fixed in 2.18.5,
anyway the solution you write it's correct, thx.

Share this post


Link to post
On 10/11/2019 at 7:35 AM, dedo299 said:

The reason I think modifying the resources bundle (by changing a menubar icon) causes the elevated permissions failure is that I only get a startup crash AFTER I’ve swapped in a modified  menubar icon. If I don’t change the icon I don’t have any problems. Also, I want to reemphasize that I did not have this problem with the previous version of Eddie. Running 2.17.2 I could change menubars and even add mulitple menubar versions to the resources bundle without any problem. That's why I think my current issue has to do with changes you made to the way permissions and/or code signing are handled.

To answer your questions, I’ve been running from a package installer version of Eddie, but the same thing happened with the portable tar.gz package. I’ve rebooted after installing and after making any changes, and I’ve tested with and without checking the elevated privileges checkbox. I've launched from /Applications. 

Here is what shows on the screen  when it fails:

Screen Shot 2019-10-10 at 9.43.23 PM.png


Thanks, but i still can't reproduce the issue... i don't think is related on permissions or code signing...
The error "elevated version mismatch" occur (normally) when the launchd service point to an older version (es. 2.18.3) and a more UI version are launched (2.18.4).
So, seem like you have the "launchd" enabled, at least i hope that...
Advanced: the path (ProgramArguments)  inside file /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist are the same location of the Eddie.app you launch?

Please try to disable launchd, in terminal:
sudo launchctl unload /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist
sudo rm /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist
and after try to run your altered bundle, to understand if you still have the same error. Thanks,

OT: You can post here the resources you change? To understand if can be used in standard distribution. Thanks.

Share this post


Link to post
On 10/4/2019 at 9:02 AM, xero said:

2.18.4 seems to be working fine for me, except for one small issue: the "start with system" option doesnt work at all - at least on the latest Windows 10.


Cannot reproduce. When you set the checkbox "Start with system",
1- in Task Manager -> Startup tab, Eddie are showed?
2- If you re-enter in Eddie Preferences, the checkbox is still checked?
Thx

Share this post


Link to post
On 10/12/2019 at 1:04 AM, frnckdsrt said:
Hi,

I'm on raspberry 3 with raspbian buster lite (without ui) and I'm using 2.18.4b eddie-ui -cli command line and syntax.

I run " sudo eddie-ui -cli -login=****** -password=****** -connect -netlock "

- the first time I've launched it after install, all worked pretty smooth.
- the second and next times I've launched it, it stucked after I press the "n" key on the "Server switch requested from keyboard" message.

You can see the whole verbose bellow.
By the way, the shutdown ends up with an error message, but I'm not sure it's linked to my "connection to server" issue.

 
Issues confirmed, thx, will be fixed in the next release.
You can write to us the output of 
uname -m
on raspbian buster? thx.

p.s. if you don't have the UI, why you use "eddie-ui -cli" and not direct "eddie-cli" package? Just curiosity, it's equivalent (or need to be, bugs apart)

Share this post


Link to post

Hi, thank you for your feedback, I didn't know if I was doing something wrong !
uname -m outputs " armv61 "
About the choice of eddie-ui -cli over eddie-cli, the last one was my first attempt but I never succeed in making it an executable. I'm sorry I don't precisely remember the mess but I always was stuck with a "command not found" or something like that ... probably due to my limits on linux. eddie-ui was just found and run.

Share this post


Link to post
7 hours ago, Clodo said:

Cannot reproduce. When you set the checkbox "Start with system",
1- in Task Manager -> Startup tab, Eddie are showed?
2- If you re-enter in Eddie Preferences, the checkbox is still checked?
Thx

1 Yes, Eddie-Windows UI is there
2 Yep, still checked.

Thanks!

Share this post


Link to post
On 10/3/2019 at 3:40 PM, GJElde said:

so far, no more problems on openSUSE 15.1 with Eddie 2.18.4beta.
👌

today again freezing Eddie.
had to close mono and reboot openSUSE 15.1
cannot find anything in the log file

and Eddie hangs on disconnecting some times.

Share this post


Link to post
32 minutes ago, GJElde said:
today again freezing Eddie.
had to close mono and reboot openSUSE 15.1
cannot find anything in the log file
Same problem with Ubuntu 19.04. On trying to disconnect Eddie 2.18.4, the main window becomes unresponsive on odd occasions.
Can't find a reason. It seemed to happen more frequently with Eddie 2.18.3 only once with 2.18.4.
Will try and get more info if it happens again.
 

Share this post


Link to post
On 10/2/2019 at 11:39 AM, Atomas said:
After several tries, I can now start Eddy 2.18.3. However, I can not activate Network Lock, I receive the following message:
Exception: Rules not loaded
Eddy starts all the same and I have to put my login password each time, he does not save the Remember option. Afterwards for the connection, I still have the message: Rules not loaded. I can connect but can not use Network Lock.
On Mac OS 10.14.6. Nothing change with Eddy 2.18.4. Like in 2.18.3, Network Lock dont work and I have the same message : "Rules not loaded".

Share this post


Link to post
On 10/14/2019 at 7:41 AM, Clodo said:

Thanks, but i still can't reproduce the issue... i don't think is related on permissions or code signing...
The error "elevated version mismatch" occur (normally) when the launchd service point to an older version (es. 2.18.3) and a more UI version are launched (2.18.4).
So, seem like you have the "launchd" enabled, at least i hope that...
Advanced: the path (ProgramArguments)  inside file /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist are the same location of the Eddie.app you launch?

Please try to disable launchd, in terminal:
sudo launchctl unload /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist
sudo rm /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist
and after try to run your altered bundle, to understand if you still have the same error. Thanks,

OT: You can post here the resources you change? To understand if can be used in standard distribution. Thanks.

Thanks, Clodo, for your diligence in trying to solve my problem. I appreciate all your effort.

I have tried all of your suggestions above and still get the same results. But I think I've narrowed the source of the problem to the Resource folder in Application/Contents. If I make ANY change to that folder (i.e., by substituting a menubar icon file, adding a file or even changing the name of an existing file) it triggers the elevated permissions mismatch error. I've found I can toggle the error by simply changing the spelling on one of the resource files--any file, it doesn't matter which one. If you try this, you should be able to reproduce the problem.

As I said early on, the previous beta version of Eddie (2.17.2) didn't do this, so it's something you changed in your new code that causes Eddie, on startup, to check the integrity of one or more files in the app bundle; when the check fails, it assumes it's an old version and throws the mismatch error. All of this happens before Eddie starts logging  (as far as I can tell) so there isn't any log trace of what's going on.

Share this post


Link to post

Just checking in to say beta 4 is running great here on MacOS 10.14.6 since day 1. The way my OS is holding together lately Eddie is actually the one thing that always works hah. Been pretty trouble free so far, the new betas blow away the 2.17 one!

Share this post


Link to post
On 9/28/2019 at 4:16 PM, GJElde said:

not solved on openSUSE 15.1,
** (eddie-tray:964): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image


 

The error message came back unfortunately.
So had to change this again;
In /usr/share/themes/Breeze/gtk-2.0/widgets/menu

style "separator_menu_item"
{
    engine "pixmap"
    {
        image
        {
            function            = BOX
              file              = "../assets/line-h.png"
              border            = { 1, 1, 1, 1 }
              stretch         = TRUE
        }
    }
}

Should be

              border            = { 0, 0, 0, 0 }

 

Share this post


Link to post

using 2.18.4beta

when using the scoring rule "speed" i seem to get the lowest latency server
when using the scoring rule "latency" i seem to get the server with a lower load but higher latency

this is the opposite behavior from the stable version?
one would think when selecting latency to get a server with the lowest latency?

Share this post


Link to post

Great news,
downloaded and installed yesterday. works like a charm.
I'm on opensuse leap 15.1 and previously had two main issues:
1. most often i was unable to properly exit the client
2. tray icon did not work
Both issues have apparently been addressed!
Thank you! I hope i'll be able to enjoy airvpn for long years to come :)

Share this post


Link to post
On 10/17/2019 at 11:42 AM, GJElde said:

eddie still freezing
see picture......

 

Screenshot_20191017_115103.png


Which version of opensuse are you running?
I'm on 15.1.20190513. No issues here. Also haven't had any actual freezes before. Have you checked
$rpm -qp --requires
and made sure u have all packages installed? i noticed there is an additional dependency in v2.18...

Share this post


Link to post
On 10/15/2019 at 12:17 PM, gantier said:
Same problem with Ubuntu 19.04. On trying to disconnect Eddie 2.18.4, the main window becomes unresponsive on odd occasions.
Can't find a reason. It seemed to happen more frequently with Eddie 2.18.3 only once with 2.18.4.
Will try and get more info if it happens again.
 
Not had it freeze on me again but the eddie small icon randomly disappears from the top right hand side of the "Activities" tool bar.
Otherwise - no problem.

Share this post


Link to post
2 hours ago, tBundy said:

Which version of opensuse are you running?
I'm on 15.1.20190513. No issues here. Also haven't had any actual freezes before. Have you checked
$rpm -qp --requires
and made sure u have all packages installed? i noticed there is an additional dependency in v2.18...
15.1 reinstalled last Sunday with kde plasma
All packages are installed with verification mode on.

KDE PLasma 5.12.8
KDE Frameworks 5.55.0
QT 5.9.7
Kernel 4.12.14-lp151.28.20-default

Share this post


Link to post

Eddie is still freezing sometimes and I am trying to find out why.
It usually happens when I min and max Eddie.
I think it has something to do with the KDE plasma shell or Kwin?
Look in all log files and find this.

I also made an openSUSE 15.1 Gnome in VirtualBox for testing.

I think I've found something :)
Desk top effects seems to have been the cause.
I have set them to standard and now I can also see my start menu when Eddie-ui is active, before that was not possible.
Hope this was it ......


Gerrit Jan

freeze Eddie

Share this post


Link to post
8 hours ago, GJElde said:

Eddie is still freezing sometimes and I am trying to find out why.
It usually happens when I min and max Eddie.
I think it has something to do with the KDE plasma shell or Kwin?
Look in all log files and find this.

I also made an openSUSE 15.1 Gnome in VirtualBox for testing.

I think I've found something :)
Desk top effects seems to have been the cause.
I have set them to standard and now I can also see my start menu when Eddie-ui is active, before that was not possible.
Hope this was it ......


Gerrit Jan

freeze Eddie 11.35 kB · 0 downloads

Eddie-ui has just now become inactive (Ubuntu 19.04). Can't disconnect or exit. Had to kill -9 mono to access the desktop.
Ray

Eddie_frozen.thumb.jpg.8f4e11e29186840f84e5f21bcc4aaf1e.jpg

GantierSyslogEddie

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...